Page MenuHomePhabricator

Enable group 1 wikis in RESTBase
Closed, ResolvedPublic

Description

As the title says.

Puppet patch: https://gerrit.wikimedia.org/r/#/c/198433/

Event Timeline

GWicke raised the priority of this task from to Needs Triage.
GWicke updated the task description. (Show Details)
GWicke added a project: RESTBase.
GWicke added a subscriber: GWicke.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 20 2015, 11:44 PM
GWicke set Security to None.Mar 20 2015, 11:44 PM
GWicke updated the task description. (Show Details)
GWicke edited subscribers, added: mobrovac, Krenair; removed: Aklapper.
GWicke moved this task from Backlog to Ready / next on the RESTBase board.Mar 21 2015, 12:01 AM
Joe added a comment.May 15 2015, 3:55 PM

@GWicke is this scheduled in the deployments calendar? I think it's the kind of thing that should fit in there in general.

@Joe, it was at some point (this ticket is from March), but the patch wasn't merged then. I re-added it for this week.

GWicke renamed this task from Deploy RESTBase to group1 wikis to Enable group 1 wikis in RESTBase.May 15 2015, 4:09 PM

Deployment scheduled for 2015-05-19, @fgiunchedi will assist us.

GWicke closed this task as Resolved.EditedMay 20 2015, 5:35 AM
GWicke claimed this task.

This was deployed today, and all public projects are now available at https://<project>/api/rest_v1/?doc. Example: http://en.wikibooks.org/api/rest_v1/?doc, with an example page at http://en.wikibooks.org/api/rest_v1/page/html/Haskell.